Hero Gadget - Globe
  • Home
  • Contacts
  • On The Go
  • Track
  • Settings
  • Search

Mainchain - Supported Browsers

 

Why is it important to use the latest internet browser?

Two key reasons for keeping your internet browser up-to-date.

  • Your own safety and security, outdated browsers may have vulnerabilities.
  • Provide the best browsing experience.

 

Mainchain is developed to make the most of the latest technologies, this means that older browsers may not be supported, and some features will be unavailable.


What does this mean for you?

We recommend using the most recent version of your web browser to improve security, performance, and stability.
Freman NZ/AU is no longer accessible on Internet Explorer 11 or below.

 

To use Mainchain, we require you to have the latest versions of either (click here to download):

  1. Google Chrome
  2. Microsoft Edge
  3. Mozilla Firefox


At a minimum you must be using one of the following to access Mainchain:

  1. Google Chrome version 94.0.4606.61
  2. Microsoft Edge version 94.0.992.31
  3. Mozilla Firefox version 92.0

 

If you are running an unsupported browser or version, you will see the below message when visiting www.mainchain.net.
Please download and install the latest version when you see this, or contact your IT administrator to assist.

 


Help & Support

If you would like more information or have any questions, please email our Mainchain Support Team at mainchainsupport@mainfreight.com.

NOTE: Content in the panels below this point are not visible on the site unless used by other features e.g. gadgets, OB&E, etc.